## org.gnu.gtk
Class CellRendererText

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.CellRenderer
              org.gnu.gtk.CellRendererText

Direct Known Subclasses:
  CellRendererCombo

public class CellRendererText
extends CellRenderer

A `CellRenderer` for displaying Strings.

See the `TreeView` description for an overview fo the tree and list objects.

Gtk provides many properties for this renderer. Not all of them have been implemented in the Java-Gnome system (they're not all useful). If you have requirements for one of them which isn't implemented, please contact us and we may add support for it.

Nested Class Summary
`static class` `CellRendererText.Attribute` Attributes which may be used to connect to data in a `TreeModel` via methods in the `TreeViewColumn` object.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`CellRendererText()` Constructs a new text renderer
`CellRendererText(Handle handle)`

Method Summary
`void` `addListener(CellRendererTextListener listener)` Register an object to handle CellRendererText events.
`protected void` `fireCellRendererTextEvent(CellRendererTextEvent event)`
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`FontDescription` `getFont()` Returns the font being used.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static int` `gtk_cell_renderer_text_get_type()`
`protected static Handle` `gtk_cell_renderer_text_new()`
`protected static void` `gtk_cell_renderer_text_set_fixed_height_from_font(Handle renderer, int numberOfRows)`
`protected static Handle` `gtk_getFont(Handle handle)`
`protected static void` `gtk_setAttributes(Handle handle, Handle attr)`
`protected static void` `gtk_setFont(Handle handle, Handle font)`
`protected static void` `gtk_setProperty(Handle handle, java.lang.String property, boolean setting)`
`protected static void` `gtk_setUnderLine(Handle handle, int underline)`
`void` `removeListener(CellRendererTextListener listener)` Removes a listener
`void` `setAttributes(AttrList attr)` Sets the pango attributes for the renderer.
`void` `setEditable(boolean editable)` Sets whether the user may edit the text.
`void` `setFont(FontDescription font)` Sets the font to use.
`void` `setUnderline(Underline underline)` Sets the underline of all cells

Methods inherited from class org.gnu.gtk.CellRenderer
`gtk_cell_renderer_activate, gtk_cell_renderer_get_fixed_size, gtk_cell_renderer_get_size, gtk_cell_renderer_get_type, gtk_cell_renderer_render, gtk_cell_renderer_set_fixed_size, gtk_cell_renderer_start_editing, gtk_cell_renderer_stop_editing`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellRendererText

    public CellRendererText()

  Constructs a new text renderer

### CellRendererText

    public CellRendererText(Handle handle)

Method Detail

### setAttributes

    public void setAttributes(AttrList attr)

  Sets the pango attributes for the renderer.

  Parameters:
    `attr` - PangoAttributeList to use.

### setFont

    public void setFont(FontDescription font)

  Sets the font to use.

### getFont

    public FontDescription getFont()

  Returns the font being used.

### setEditable

    public void setEditable(boolean editable)

  Sets whether the user may edit the text.

### setUnderline

    public void setUnderline(Underline underline)

  Sets the underline of all cells

### addListener

    public void addListener(CellRendererTextListener listener)

  Register an object to handle CellRendererText events.

  See Also:
    `CellRendererTextListener`

### removeListener

    public void removeListener(CellRendererTextListener listener)

  Removes a listener

  See Also:
    `addListener(CellRendererTextListener)`

### fireCellRendererTextEvent

    protected void fireCellRendererTextEvent(CellRendererTextEvent event)

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `GObject`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `GObject`

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_cell_renderer_text_get_type

    protected static final int gtk_cell_renderer_text_get_type()

### gtk_cell_renderer_text_new

    protected static final Handle gtk_cell_renderer_text_new()

### gtk_cell_renderer_text_set_fixed_height_from_font

    protected static final void gtk_cell_renderer_text_set_fixed_height_from_font(Handle renderer,
                                                                                  int numberOfRows)

### gtk_setAttributes

    protected static final void gtk_setAttributes(Handle handle,
                                                  Handle attr)

### gtk_setFont

    protected static final void gtk_setFont(Handle handle,
                                            Handle font)

### gtk_getFont

    protected static final Handle gtk_getFont(Handle handle)

### gtk_setProperty

    protected static final void gtk_setProperty(Handle handle,
                                                java.lang.String property,
                                                boolean setting)

### gtk_setUnderLine

    protected static final void gtk_setUnderLine(Handle handle,
                                                 int underline)